close Warning: Failed to sync with repository "(default)": [Errno 12] Cannot allocate memory; repository information may be out of date. Look in the Trac log for more information including mitigation strategies.
Modify

#15 closed defect (fixed)

Jabber contacts do not always show up as online

Reported by: anonymous Owned by:
Priority: major Milestone: 1.2
Component: Jabber Version: 0.99
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Jabber contacts often seem to be offline although they are actually online. That does not happen with other protocols such as ICQ or AIM.

Attachments (0)

Change History (8)

comment:1 Changed at 2005-11-14T22:00:32Z by wilmer

Component: bitlbeejabber

I think this will have to wait until we rewrite the Jabber module, it's not the only problem we have with it.

comment:2 Changed at 2005-11-17T23:42:07Z by wilmer

Milestone: 1.1?

comment:3 Changed at 2005-11-21T22:42:22Z by kaouete@…

it is not sure it is a client problem.

I think i have seen that with gaim sometimes too. But maybe it was a different problem, just to tell you :]

comment:4 Changed at 2005-11-21T23:09:49Z by wilmer

A possible explanation for this one is that the person was online with two clients and closed one of them. The Jabber module doesn't keep track of this very well yet.

comment:5 Changed at 2005-12-20T20:51:58Z by wilmer

Hmmm, I did manage to fix one place where this happened. I found out that my Jabber server sends presence information for at least one buddy (who is on the same server) before it even sends the buddy list. Possibly this is because BitlBee used to send an away state before requesting a buddy list. I swapped the two things, and now at least I can see that buddy online again.

But I'm afraid there are more causes of this problem, so I doubt if this one can be fixed already...

Of course I wasn't planning to fix anything in the Jabber code anymore, but let's consider this a little bit of practice to get familiar with the protocol. :-)

comment:6 Changed at 2006-05-05T16:09:55Z by wilmer

Milestone: 1.11.2

comment:7 Changed at 2006-10-12T20:38:17Z by wilmer

I think this problem is solved completely now in the new Jabber module. It keeps track of multiple resources, etc.

comment:8 Changed at 2006-10-22T13:45:25Z by wilmer

Milestone: 1.21.1

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.